### Method

# Secret Item set_secret_sync

#### Declaration [src]

    gboolean
    secret_item_set_secret_sync (
      SecretItem* self,
      SecretValue* value,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Set the secret value of this item.

Each item has a single secret which might be a password or some other secret binary value.

This function may block indefinitely. Use the asynchronous version in user interface threads.

#### Parameters

`value` | `SecretValue`
| A new secret value.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether the change was successful or not.